# GitLab CI Examples

This repository contains examples of a `.gitlab-ci.yml` configurations for
unit testing of a *very* small library for factorial computation.

Please checkout this project's branches for configurations for various
languages and build tools:

- [`c-clang`](https://gitlab.fi.muni.cz/unix/ci-examples/tree/c-cmake/) (C)
    - CLang compiler suite
    - CMake build tool
    - [Catch](https://github.com/catchorg/Catch2) test framework
    - separate `build` and `test` stages
- [`java-maven`](https://gitlab.fi.muni.cz/unix/ci-examples/tree/java-maven/) (Java 8)
    - OpenJDK compiler
    - Maven build tool
    - JUnit test framework

You can help us expand these examples. Simply fork this repository,
create a branch from the initial tag and call it `<language>-<tool>`,
e.g. `haskell-cabal`:

```sh
git clone 'git@gitlab.fi.muni.cz:USER/ci-examples'
cd ci-examples
git checkout initial
git checkout -b haskell-cabal
```

Then prepare and test your `.gitlab-ci.yml` configuration with some simple
library. When finished, create a merge request.
